# Inventaire des joueurs

## Obtenir des informations sur la méthode

## Afficher la liste des méthodes disponibles et leur description  / syntaxe respective.

<mark style="color:blue;">`GET`</mark> `https://api.magic-bot.ovh/inventory`

#### Path Parameters

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Your api key |

{% tabs %}
{% tab title="200: OK Page affichée avec succès" %}

{% endtab %}

{% tab title="401: Unauthorized Permission refusée" %}

{% endtab %}
{% endtabs %}

## Obtenir l'inventaire de tous les membres de votre serveur

## Afficher l'inventaire de tous les membres de votre serveur.

<mark style="color:blue;">`GET`</mark> `https://api.magic-bot.ovh/inventory/:guildId`

#### Path Parameters

| Name                                            | Type   | Description                        |
| ----------------------------------------------- | ------ | ---------------------------------- |
| guildId<mark style="color:red;">\*</mark>       | String | The identifier of the guild to get |
| Authorization<mark style="color:red;">\*</mark> | String | Your api key                       |

{% tabs %}
{% tab title="200: OK Liste affichée avec succès !" %}

```javascript
{
   "results": [
      {
         "user_id": "xxxxxxxxxxxxxxxx",
         "guild_id": "xxxxxxxxxxxxxxxx"
         ...
      }
   ],
   "count": 1,
   "status": 200
}
```

{% endtab %}

{% tab title="404: Not Found Aucun inventaire n'a été trouvé pour ce serveur" %}

```javascript
{
   "error": "No player inventory found on this server",
   "status": 404
}
```

{% endtab %}
{% endtabs %}

## Obtenir l'inventaire d'un membre de votre serveur

## Afficher l'inventaire d'un membre de votre serveur.&#x20;

<mark style="color:blue;">`GET`</mark> `https://api.magic-bot.ovh/inventory/:guildId/user/:userId`

#### Path Parameters

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| guildId<mark style="color:red;">\*</mark>       | String | The identifier of the guild to get  |
| userId<mark style="color:red;">\*</mark>        | String | The identifier of the member to get |
| Authorization<mark style="color:red;">\*</mark> | String | Your api key                        |

{% tabs %}
{% tab title="200: OK Liste affichée avec succès !" %}

```javascript
{
   "results": [
      {
         "user_id": "xxxxxxxxxxxxxxxx",
         "guild_id": "xxxxxxxxxxxxxxxx"
         ...
      }
   ],
   "count": 1,
   "status": 200
}
```

{% endtab %}

{% tab title="404: Not Found L'inventaire du membre n'a pas été trouvé" %}

```javascript
{
   "error": "User inventory not found",
   "status": 404
}
```

{% endtab %}
{% endtabs %}

## Obtenir l'inventaire d'un joueur de votre serveur

## Afficher l'inventaire d'un joueur de votre serveur.&#x20;

<mark style="color:blue;">`GET`</mark> `https://api.magic-bot.ovh/inventory/:guildId/player/:playerId`

#### Path Parameters

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| guildId<mark style="color:red;">\*</mark>       | String | The identifier of the guild to get  |
| playerId<mark style="color:red;">\*</mark>      | String | The identifier of the player to get |
| Authorization<mark style="color:red;">\*</mark> | String | Your api key                        |

{% tabs %}
{% tab title="200: OK Liste affichée avec succès !" %}

```javascript
{
   "results": [
      {
         "user_id": "xxxxxxxxxxxxxxxx",
         "guild_id": "xxxxxxxxxxxxxxxx"
         ...
      }
   ],
   "count": 1,
   "status": 200
}
```

{% endtab %}

{% tab title="404: Not Found L'inventaire du joueur n'a pas été trouvé" %}

```javascript
{
   "error": "Player inventory not found",
   "status": 404
}
```

{% endtab %}
{% endtabs %}
